%define __python %{__python3}

Name:           cadence
Version:        0.8.1
Release:        %mkrel -c git20140718 16
Summary:        Set of tools useful for audio production
License:        GPLv2
Group:          Sound/Utilities
URL:            https://github.com/falkTX/Cadence
Source0:        https://github.com/falkTX/Cadence/archive/ec2a8320832b076c0962ab65dd2f8163275cc013.zip
Patch0:         cadence-0.8.1-mga-systrayRemoveAppIndicator.patch
Patch1:         cadence-0.8.1-mga-fixDesktopFiles.patch

BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-sip-devel
BuildRequires:  qt4-common
BuildRequires:  python3-qt4-devel
Requires:       jackit
Requires:       python(abi) = %{python3_version}
Requires:       python3-sip
Requires:       python3-dbus
Requires:       python3-qt4
Requires:       qt4-common
Requires:       cadence-data = %{version}-%{release}
Requires:       cadence-tools = %{version}-%{release}
Requires:       catarina = %{version}-%{release}
Requires:       catia = %{version}-%{release}
Requires:       claudia = %{version}-%{release}
Recommends:     pulseaudio-module-jack
Recommends:     a2jmidid

%description
Cadence is a set of tools useful for audio production.
It's being developed by falkTX, using Python3 and Qt4
(and some C++ where needed).
This package contains the main Cadence application.

%files
%{_bindir}/cadence
%{_datadir}/cadence/src/cadence.py
%{_datadir}/cadence/src/__pycache__/cadence.cpython-*.py?
%{_datadir}/cadence/src/ui_cadence.py
%{_datadir}/cadence/src/__pycache__/ui_cadence.cpython-*.py?
%{_datadir}/cadence/src/ui_cadence_*.py
%{_datadir}/cadence/src/__pycache__/ui_cadence_*.cpython-*.py?

%{_datadir}/applications/cadence.desktop
%{_datadir}/icons/hicolor/*/apps/cadence.*

%{_sysconfdir}/xdg/autostart/cadence-session-start.desktop
%{_sysconfdir}/X11/xinit/xinitrc.d/70cadence-plugin-paths
%{_sysconfdir}/X11/xinit/xinitrc.d/99cadence-session-start

#--------------------------------------------------------------------
%package data
Summary:        Set of tools useful for audio production
Requires:       python(abi) = %{python3_version}

%description data
This package contains the shared data and modules.

%files data
%{_datadir}/cadence/src/shared.py
%{_datadir}/cadence/src/__pycache__/shared.cpython-*.py?
%{_datadir}/cadence/src/shared_cadence.py
%{_datadir}/cadence/src/__pycache__/shared_cadence.cpython-*.py?
%{_datadir}/cadence/src/shared_canvasjack.py
%{_datadir}/cadence/src/__pycache__/shared_canvasjack.cpython-*.py?
%{_datadir}/cadence/src/shared_settings.py
%{_datadir}/cadence/src/__pycache__/shared_settings.cpython-*.py?
%{_datadir}/cadence/src/resources_rc.py
%{_datadir}/cadence/src/__pycache__/resources_rc.cpython-*.py?
%{_datadir}/cadence/src/ui_settings_app.py
%{_datadir}/cadence/src/__pycache__/ui_settings_app.cpython-*.py?

%{_datadir}/cadence/src/jacklib.py
%{_datadir}/cadence/src/__pycache__/jacklib.cpython-*.py?
%{_datadir}/cadence/src/jacklib_helpers.py
%{_datadir}/cadence/src/__pycache__/jacklib_helpers.cpython-*.py?
%{_datadir}/cadence/src/patchcanvas.py
%{_datadir}/cadence/src/__pycache__/patchcanvas.cpython-*.py?
%{_datadir}/cadence/src/patchcanvas_theme.py
%{_datadir}/cadence/src/__pycache__/patchcanvas_theme.cpython-*.py?
%{_datadir}/cadence/src/systray.py
%{_datadir}/cadence/src/__pycache__/systray.cpython-*.py?

%{_datadir}/cadence/src/canvaspreviewframe.py
%{_datadir}/cadence/src/__pycache__/canvaspreviewframe.cpython-*.py?
%{_datadir}/cadence/src/clickablelabel.py
%{_datadir}/cadence/src/__pycache__/clickablelabel.cpython-*.py?


#--------------------------------------------------------------------
%package tools
Summary:        Set of tools useful for audio production
Requires:       cadence-data = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       jack_capture

%description tools
This package contains the small tools used in Cadence.

%files tools
%{_bindir}/cadence-*

%{_datadir}/cadence/src/cadence_aloop_daemon.py
%{_datadir}/cadence/src/__pycache__/cadence_aloop_daemon.cpython-*.py?
%{_datadir}/cadence/src/cadence_session_start.py
%{_datadir}/cadence/src/__pycache__/cadence_session_start.cpython-*.py?
%{_datadir}/cadence/src/jacksettings.py
%{_datadir}/cadence/src/__pycache__/jacksettings.cpython-*.py?
%{_datadir}/cadence/src/logs.py
%{_datadir}/cadence/src/__pycache__/logs.cpython-*.py?
%{_datadir}/cadence/src/render.py
%{_datadir}/cadence/src/__pycache__/render.cpython-*.py?

%{_datadir}/cadence/src/ui_logs.py
%{_datadir}/cadence/src/__pycache__/ui_logs.cpython-*.py?
%{_datadir}/cadence/src/ui_render.py
%{_datadir}/cadence/src/__pycache__/ui_render.cpython-*.py?
%{_datadir}/cadence/src/ui_settings_jack.py
%{_datadir}/cadence/src/__pycache__/ui_settings_jack.cpython-*.py?

%{_datadir}/cadence/pulse2jack/

#--------------------------------------------------------------------
%package -n catarina
Summary:        Set of tools useful for audio production
Requires:       cadence-data = %{version}-%{release}
Requires:       python(abi) = %{python3_version}

%description -n catarina
Catarina is a testing ground for the 'PatchCanvas'
module used in the Cadence tools.

%files -n catarina
%{_bindir}/catarina
%{_datadir}/cadence/src/catarina.py
%{_datadir}/cadence/src/__pycache__/catarina.cpython-*.py?
%{_datadir}/cadence/src/ui_catarina.py
%{_datadir}/cadence/src/__pycache__/ui_catarina.cpython-*.py?
%{_datadir}/cadence/src/ui_catarina_*.py
%{_datadir}/cadence/src/__pycache__/ui_catarina_*.cpython-*.py?

%{_datadir}/applications/catarina.desktop
%{_datadir}/icons/hicolor/*/apps/catarina.*

#--------------------------------------------------------------------
%package -n catia
Summary:        Set of tools useful for audio production
Requires:       cadence-tools = %{version}-%{release}
Requires:       python(abi) = %{python3_version}

%description -n catia
extended JACK patchbay
Catia is a nice JACK Audio Patchbay with A2J Bridge integration.
It also includes Jack Transport support and the ability to
render jack projects.

%files -n catia
%{_bindir}/catia
%{_datadir}/cadence/src/catia.py
%{_datadir}/cadence/src/__pycache__/catia.cpython-*.py?
%{_datadir}/cadence/src/ui_catia.py
%{_datadir}/cadence/src/__pycache__/ui_catia.cpython-*.py?

%{_datadir}/applications/catia.desktop
%{_datadir}/icons/hicolor/*/apps/catia.*

#--------------------------------------------------------------------
%package -n claudia
Summary:        Set of tools useful for audio production
Requires:       cadence-tools = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       ladish
Recommends:     a2jmidid

%description -n claudia
Claudia is a Graphical User Interface to LADISH.
It has more features than gladish, including Jack Transport,
Configurable Canvas, App Templates, Render projects
(realtime or freewheel mode).


%files -n claudia
%{_bindir}/claudia
%{_bindir}/claudia-launcher
%{_datadir}/cadence/src/claudia.py
%{_datadir}/cadence/src/__pycache__/claudia.cpython-*.py?
%{_datadir}/cadence/src/claudia_database.py
%{_datadir}/cadence/src/__pycache__/claudia_database.cpython-*.py?
%{_datadir}/cadence/src/claudia_launcher.py
%{_datadir}/cadence/src/__pycache__/claudia_launcher.cpython-*.py?
%{_datadir}/cadence/src/ui_claudia.py
%{_datadir}/cadence/src/__pycache__/ui_claudia.cpython-*.py?
%{_datadir}/cadence/src/ui_claudia_*.py
%{_datadir}/cadence/src/__pycache__/ui_claudia_*.cpython-*.py?

%{_datadir}/cadence/icons/
%{_datadir}/cadence/templates/

%{_datadir}/applications/claudia*.desktop
%{_datadir}/icons/hicolor/*/apps/claudia*


%prep
%setup -q -a 0 -n Cadence-ec2a8320832b076c0962ab65dd2f8163275cc013
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python3|#!%{__python3}|'
rm -R data/unity/
%patch0 -p1
%patch1 -p1


%build
%make_build CXXFLAGS="%{optflags}" CFLAGS="%{optflags}" STRIP=/bin/true BASE_FLAGS=


%install
%make_install  -- PREFIX=/usr


%changelog
* Thu May 18 2017 animtim <animtim> 0.8.1-0.git20140718.16.mga6
+ Revision: 1103075
- claudia requires ladish

* Thu Oct 06 2016 pterjan <pterjan> 0.8.1-0.git20140718.15.mga6
+ Revision: 1059141
- Do not force sse, not all architectures have it

* Sat Sep 24 2016 neoclust <neoclust> 0.8.1-0.git20140718.14.mga6
+ Revision: 1055743
- Rebuild for ARM

* Mon Jun 27 2016 akien <akien> 0.8.1-0.git20140718.13.mga6
+ Revision: 1037827
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 0.8.1-0.git20140718.12.mga6
+ Revision: 1037533
- Rebuild for python-sip 4.18

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Nov 13 2015 daviddavid <daviddavid> 0.8.1-0.git20140718.10.mga6
+ Revision: 902987
- BRs python3-sip-devel and python3-qt4-devel

* Thu Oct 08 2015 daviddavid <daviddavid> 0.8.1-0.git20140718.9.mga6
+ Revision: 887283
- rebuild for python 3.5
- fix requires for python(abi)= %%{python3_version}

* Tue Sep 22 2015 tv <tv> 0.8.1-0.git20140718.8.mga6
+ Revision: 882261
- use our flags
- do not strip
- re-enable debuginfo

* Tue Sep 22 2015 animtim <animtim> 0.8.1-0.git20140718.7.mga6
+ Revision: 882238
- update install path on some files for cadence

  + neoclust <neoclust>
    - Fix build with new rpm ( empty debuginfo)

* Fri Jan 23 2015 animtim <animtim> 0.8.1-0.git20140718.5.mga5
+ Revision: 812023
- add missing jack_capture Requires

* Sun Jan 18 2015 animtim <animtim> 0.8.1-0.git20140718.4.mga5
+ Revision: 811263
- add missing requires for python3-qt4

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-0.git20140718.3.mga5
+ Revision: 746191
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-0.git20140718.2.mga5
+ Revision: 678280
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Aug 21 2014 animtim <animtim> 0.8.1-0.git20140718.1.mga5
+ Revision: 666340
- fix invalid-desktopfile
- imported package cadence

